<?php

namespace IQBall\Api\Controller;

use IQBall\Core\Model\AuthModel;
use IQBall\Core\Data\Account;

class APIUserController {
    private AuthModel $model;

    public function __construct(AuthModel $model) {
        $this->model = $model;
    }

    public function changeUsername(Account $acc, string $newUsername,) {
        $this->model->changeUsername($acc->getUser()->getId(), $newUsername);
    }
}

?>